FreeBSD : wolfssl -- DDoS amplification in DTLS (3d1372e1-7822-4fd8-b56e-5ee832afbd96)

Medium Nessus Plugin ID 93443


The remote FreeBSD host is missing a security-related update.


Sebastian Ramacher identified an error in wolfSSL's implementation of the server side of the DTLS handshake, which could be abused for DDoS amplification or a DoS on the DTLS server itself.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 93443

File Name: freebsd_pkg_3d1372e178224fd8b56e5ee832afbd96.nasl

Version: $Revision: 2.2 $

Type: local

Published: 2016/09/13

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:wolfssl, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/01/05

Vulnerability Publication Date: 2015/09/18

Reference Information

CVE: CVE-2015-6925